<script setup>
import NpcGroup from './npc-group.vue';

const props = defineProps(['combat']);

</script>

<template>

<div class="combat">

	<NpcGroup class="group" :npcs="combat.allies" label="Allies" />
	<NpcGroup class="group" :npcs="combat.enemies" label="Enemies" />

</div>

</template>

<style scoped>
.combat {
	display: flex;
	justify-content: space-between;
	overflow-y: auto;
	flex-flow: row;
}


.combat .group {

	margin: 0;
	padding: var(--sm-gap);
	width: 48%;
	min-height: 10em;

}
</style>